
From: Pawe Sikora <pluto@pld-linux.org>

 CC [M] sound/oss/ad1889.o
     sound/oss/ad1889.c: In function `ad1889_ac97_init':
     sound/oss/ad1889.c:854: warning: comparison is always false
                 due to limited range of data type

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/ad1889.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/ad1889.c~ad1889-warning-fix sound/oss/ad1889.c
--- 25/sound/oss/ad1889.c~ad1889-warning-fix	Thu Jul  8 17:46:28 2004
+++ 25-akpm/sound/oss/ad1889.c	Thu Jul  8 17:46:28 2004
@@ -851,7 +851,7 @@ static int ad1889_ac97_init(ad1889_dev_t
 	}
 
 	eid = ad1889_codec_read(ac97, AC97_EXTENDED_ID);
-	if (eid == 0xffffff) {
+	if (eid == 0xffff) {
 		printk(KERN_WARNING DEVNAME ": no codec attached?\n");
 		goto out_free;
 	}
_
